export type SignalSubscriber = (props?: any) => void;

export default class SignalBus {
  subscribers: SignalSubscriber[] = [];

  emit(props?: any) {
    this.subscribers.forEach((item) => item(props));
  }

  subscribe(callback: SignalSubscriber) {
    this.subscribers.push(callback);
  }
}
